{-----------------------------------------------------------------------------
 Unit Name: uIApptIterator
 Author:    Rob Bracken
 Purpose:   Iterator interface for a list of appointments
 History:
-----------------------------------------------------------------------------}


unit uIApptIterator;

interface

uses
  uAppointment
  ;

type

  IApptIterator = interface

    function First: TAppointment;
    function Last: TAppointment;
    function HasNext: boolean;
    function HasPrev: boolean;
    function Current: TAppointment;
    function Next: TAppointment;
    function Prev: TAppointment;

  end;

implementation

end.
